#include <bits/stdc++.h>

using namespace std;

int main()
{
    long long int n, m, i, j;
    string znak;

    cin>>n>>m;

    for(i=0; i<n; i++)
    {
        for(j=0; j<m; j++)
        {
            cin>>znak;
        }
    }

    for(i=0; i<n; i++)
    {
        for(j=0; j<m; j++)
        {
            if(j%m==0)
            {
                cout<<endl;
            }
            if(j==i)
            {
                cout<<"C";
            }
            else
            {
                cout<<".";
            }

        }
    }

    cout<<endl;

    return 0;
}